org.jboss.jca.core.bootstrapcontext

## Class BootstrapContextCoordinator

- java.lang.Object
- - org.jboss.jca.core.bootstrapcontext.BootstrapContextCoordinator

-     public class BootstrapContextCoordinator
      extends java.lang.Object

  Coordinator for BootstrapContext instances
  Author:
    Jesper Pedersen

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext` | `createBootstrapContext(java.lang.String id)` Create a bootstrap context
    `org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext` | `createBootstrapContext(java.lang.String id, java.lang.String name)` Get a bootstrap context
    `java.lang.String` | `createIdentifier(java.lang.String raClz, java.util.Map<java.lang.String,java.lang.String> cps)` Create an identifier
    `java.lang.String` | `createIdentifier(java.lang.String raClz, java.util.Map<java.lang.String,java.lang.String> cps, java.lang.String bootstrapContextName)` Create an identifier
    `org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext` | `getDefaultBootstrapContext()` Get the default bootstrap context
    `static BootstrapContextCoordinator` | `getInstance()` Get the instance
    `void` | `registerBootstrapContext(org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext bc)` Register bootstrap context
    `void` | `removeBootstrapContext(java.lang.String id)` Remove a bootstrap context
    `void` | `setDefaultBootstrapContext(org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext bc)` Set the default bootstrap context
    `void` | `unregisterBootstrapContext(org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext bc)` Unregister boostrap context

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static BootstrapContextCoordinator getInstance()

      Get the instance
      Returns:
        The instance

    - #### registerBootstrapContext

          public void registerBootstrapContext(org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext bc)

      Register bootstrap context
      Parameters:
        `bc` - The bootstrap context

    - #### unregisterBootstrapContext

          public void unregisterBootstrapContext(org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext bc)

      Unregister boostrap context
      Parameters:
        `bc` - The bootstrap context

    - #### getDefaultBootstrapContext

          public org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext getDefaultBootstrapContext()

      Get the default bootstrap context
      Returns:
        The bootstrap context

    - #### setDefaultBootstrapContext

          public void setDefaultBootstrapContext(org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext bc)

      Set the default bootstrap context
      Parameters:
        `bc` - The bootstrap context

    - #### createBootstrapContext

          public org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext createBootstrapContext(java.lang.String id)

      Create a bootstrap context
      Parameters:
        `id` - The id of the bootstrap context
      Returns:
        The bootstrap context

    - #### createBootstrapContext

          public org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext createBootstrapContext(java.lang.String id,
                                                                                                   java.lang.String name)

      Get a bootstrap context
      Parameters:
        `id` - The id of the bootstrap context
        `name` - The name of the bootstrap context; if `null` default value is used
      Returns:
        The bootstrap context

    - #### removeBootstrapContext

          public void removeBootstrapContext(java.lang.String id)

      Remove a bootstrap context
      Parameters:
        `id` - The id of the bootstrap context

    - #### createIdentifier

          public java.lang.String createIdentifier(java.lang.String raClz,
                                                   java.util.Map<java.lang.String,java.lang.String> cps)

      Create an identifier
      Parameters:
        `raClz` - The resource adapter class name
        `cps` - The config properties
      Returns:
        The id

    - #### createIdentifier

          public java.lang.String createIdentifier(java.lang.String raClz,
                                                   java.util.Map<java.lang.String,java.lang.String> cps,
                                                   java.lang.String bootstrapContextName)

      Create an identifier
      Parameters:
        `raClz` - The resource adapter class name
        `cps` - The config properties
        `bootstrapContextName` - The name of the bootstrap context
      Returns:
        The id

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)